﻿<input type="hidden" id="nowDateTime" value="@DateTime.UtcNow" />
<style>
    .event-cover-height .k-event[role=gridcell] {
        height: auto !important;
        background-color: #fff;
        border: none;
        color: #444;
        width: 140px !important;
        text-align-last: center;
        font-size: 12px;
    }

        .event-cover-height .k-event[role=gridcell] .custom-event {
            width: 100%;
            height: 100%;
            display: block;
        }

            .event-cover-height .k-event[role=gridcell] .custom-event > span {
                display: block;
                padding-left: 5px;
            }

    /*increase the height of the month view cells*/
    .k-scheduler-monthview .k-scheduler-table td {
        height: 7em;
    }
    .div-scroll{
        display:block;
        width:100%;
        height:auto;
        overflow-y:auto;
        overflow-x:auto;
    }
</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Session assignment
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="div-scroll" style="min-height:610px;">
        <div kendo-scheduler k-options="schedulerOptions" class="event-cover-height">
            <span k-event-template class='custom-event'>
                <span ng-hide="dataItem.isAssigned">
                    <label>
                        <input ng-click="selectSession(dataItem.programSessionId, dataItem.date, dataItem.isFull)" ng-model="IsSelected[dataItem.programSessionId]" name="DataItem" type="checkbox" />
                        {{dataItem.title}}
                    </label>
                </span>
                <span ng-show="dataItem.isAssigned">
                    {{dataItem.title}}
                </span>
            </span>
            <div k-all-day-event-template class='custom-all-day-event'>

            </div>
        </div>
    </div>
    

    <hr />
    <button type="button" class="success place-right large button" ng-click="save()">Submit</button>
    <button type="button" class="link place-left large button" onclick="window.history.back()">Cancel</button>

    <div class="clearfix"></div>

</div>

